/// <reference types="node" />
import { Readable } from "stream";
export interface Splitter<B, T, R> {
    initial(): R;
    split(chunk: B, previous: R): [T[], R];
    last(remainder: R): T | null;
}
export declare function readableAsyncIterator<T, R>(readable: Readable, by: Splitter<Buffer, T, R>): AsyncIterator<T>;
